/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/********************************************************************/
/********************************************************************/
// fugenView2Dxz.cpp : インプリメンテーション ファイル

#include "stdafx.h"
#include "Undo/CameraAction.h"
#include "fugenView2Dxz.h"
#include "fugen.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// fugenView2Dxz

IMPLEMENT_DYNCREATE(fugenView2Dxz, fugenView2D)

fugenView2Dxz::fugenView2Dxz():fugenView2D(2,'x','z'){;}
fugenView2Dxz::~fugenView2Dxz(){;}

BEGIN_MESSAGE_MAP(fugenView2Dxz, fugenView2D)
	//{{AFX_MSG_MAP(fugenView2Dxz)
	//}}AFX_MSG_MAP

END_MESSAGE_MAP()

void fugenView2Dxz::OnInitialUpdate(){
	InitOpenGL();

	const MGContext* ct = document().context();
	importDrawAttribFromContext(*ct);

	setEyePositionUpVector(MGVector(0.,-1.,0.),MGVector(0.,0.,1.));
	set_perspective(false);
	initializeModel();

	fugenView* mainV=get_main_view();
	set_parent_OpenGLView(mainV);//We use maiV's display lists as the target.
	setTitle();
	copyCplaneEnability(mainV);//We use mainV's cplane info as the target.
}
